Index: abi/doc/doxygroups.h
===================================================================
--- abi/doc/doxygroups.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ abi/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -10,5 +10,10 @@
 
 /**
- * @defgroup abi_generic Generic shared definitions
+ * @defgroup abi_generic generic
  * @ingroup abi
  */
+
+/**
+ * @defgroup abi_genarch genarch
+ * @ingroup abi
+ */
Index: abi/include/abi/fb/visuals.h
===================================================================
--- abi/include/abi/fb/visuals.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ abi/include/abi/fb/visuals.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup abi_genarch
  * @{
  */
Index: kernel/doc/doxygroups.h
===================================================================
--- kernel/doc/doxygroups.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -106,5 +106,5 @@
 
 /**
- *     @defgroup genarchmm genarch
+ *     @defgroup kernel_genarch_mm genarch
  *     @ingroup mm
  */
@@ -407,5 +407,5 @@
 
 /**
- *     @defgroup genarch genarch
+ *     @defgroup kernel_genarch genarch
  *     @ingroup others
  */
Index: kernel/genarch/include/genarch/acpi/acpi.h
===================================================================
--- kernel/genarch/include/genarch/acpi/acpi.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/acpi/acpi.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/acpi/madt.h
===================================================================
--- kernel/genarch/include/genarch/acpi/madt.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/acpi/madt.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/cm_dpll.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/cm_dpll.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/cm_dpll.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/cm_dpll_regs.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/cm_dpll_regs.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/cm_dpll_regs.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/cm_per.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/cm_per.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/cm_per.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/cm_per_regs.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/cm_per_regs.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/cm_per_regs.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/ctrl_module.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/ctrl_module.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/ctrl_module.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/ctrl_module_regs.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/ctrl_module_regs.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/ctrl_module_regs.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/iomux.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/iomux.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/iomux.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/irc.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/irc.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/irc.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/timer.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/timer.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/timer.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/timer_regs.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/timer_regs.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/timer_regs.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/am335x/uart.h
===================================================================
--- kernel/genarch/include/genarch/drivers/am335x/uart.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/am335x/uart.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/amdm37x/gpt.h
===================================================================
--- kernel/genarch/include/genarch/drivers/amdm37x/gpt.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/amdm37x/gpt.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/amdm37x/irc.h
===================================================================
--- kernel/genarch/include/genarch/drivers/amdm37x/irc.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/amdm37x/irc.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/amdm37x/uart.h
===================================================================
--- kernel/genarch/include/genarch/drivers/amdm37x/uart.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/amdm37x/uart.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/bcm2835/irc.h
===================================================================
--- kernel/genarch/include/genarch/drivers/bcm2835/irc.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/bcm2835/irc.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/bcm2835/mbox.h
===================================================================
--- kernel/genarch/include/genarch/drivers/bcm2835/mbox.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/bcm2835/mbox.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/bcm2835/timer.h
===================================================================
--- kernel/genarch/include/genarch/drivers/bcm2835/timer.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/bcm2835/timer.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/dsrln/dsrlnin.h
===================================================================
--- kernel/genarch/include/genarch/drivers/dsrln/dsrlnin.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/dsrln/dsrlnin.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/dsrln/dsrlnout.h
===================================================================
--- kernel/genarch/include/genarch/drivers/dsrln/dsrlnout.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/dsrln/dsrlnout.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/ega/ega.h
===================================================================
--- kernel/genarch/include/genarch/drivers/ega/ega.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/ega/ega.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/i8042/i8042.h
===================================================================
--- kernel/genarch/include/genarch/drivers/i8042/i8042.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/i8042/i8042.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/ns16550/ns16550.h
===================================================================
--- kernel/genarch/include/genarch/drivers/ns16550/ns16550.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/ns16550/ns16550.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/omap/irc.h
===================================================================
--- kernel/genarch/include/genarch/drivers/omap/irc.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/omap/irc.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/omap/uart.h
===================================================================
--- kernel/genarch/include/genarch/drivers/omap/uart.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/omap/uart.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/omap/uart_regs.h
===================================================================
--- kernel/genarch/include/genarch/drivers/omap/uart_regs.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/omap/uart_regs.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/pl011/pl011.h
===================================================================
--- kernel/genarch/include/genarch/drivers/pl011/pl011.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/pl011/pl011.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/pl050/pl050.h
===================================================================
--- kernel/genarch/include/genarch/drivers/pl050/pl050.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/pl050/pl050.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/s3c24xx/irqc.h
===================================================================
--- kernel/genarch/include/genarch/drivers/s3c24xx/irqc.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/s3c24xx/irqc.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/s3c24xx/timer.h
===================================================================
--- kernel/genarch/include/genarch/drivers/s3c24xx/timer.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/s3c24xx/timer.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/s3c24xx/uart.h
===================================================================
--- kernel/genarch/include/genarch/drivers/s3c24xx/uart.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/s3c24xx/uart.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/drivers/via-cuda/cuda.h
===================================================================
--- kernel/genarch/include/genarch/drivers/via-cuda/cuda.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/drivers/via-cuda/cuda.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/fb/bfb.h
===================================================================
--- kernel/genarch/include/genarch/fb/bfb.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/fb/bfb.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/fb/fb.h
===================================================================
--- kernel/genarch/include/genarch/fb/fb.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/fb/fb.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/fb/font-8x16.h
===================================================================
--- kernel/genarch/include/genarch/fb/font-8x16.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/fb/font-8x16.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/kbrd/kbrd.h
===================================================================
--- kernel/genarch/include/genarch/kbrd/kbrd.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/kbrd/kbrd.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/kbrd/scanc.h
===================================================================
--- kernel/genarch/include/genarch/kbrd/scanc.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/kbrd/scanc.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/kbrd/scanc_at.h
===================================================================
--- kernel/genarch/include/genarch/kbrd/scanc_at.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/kbrd/scanc_at.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/kbrd/scanc_mac.h
===================================================================
--- kernel/genarch/include/genarch/kbrd/scanc_mac.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/kbrd/scanc_mac.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/kbrd/scanc_pc.h
===================================================================
--- kernel/genarch/include/genarch/kbrd/scanc_pc.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/kbrd/scanc_pc.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/kbrd/scanc_sun.h
===================================================================
--- kernel/genarch/include/genarch/kbrd/scanc_sun.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/kbrd/scanc_sun.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/mm/as_ht.h
===================================================================
--- kernel/genarch/include/genarch/mm/as_ht.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/mm/as_ht.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/include/genarch/mm/as_pt.h
===================================================================
--- kernel/genarch/include/genarch/mm/as_pt.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/mm/as_pt.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/include/genarch/mm/asid_fifo.h
===================================================================
--- kernel/genarch/include/genarch/mm/asid_fifo.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/mm/asid_fifo.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/include/genarch/mm/page_ht.h
===================================================================
--- kernel/genarch/include/genarch/mm/page_ht.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/mm/page_ht.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/include/genarch/mm/page_pt.h
===================================================================
--- kernel/genarch/include/genarch/mm/page_pt.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/mm/page_pt.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/include/genarch/multiboot/multiboot.h
===================================================================
--- kernel/genarch/include/genarch/multiboot/multiboot.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/multiboot/multiboot.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/multiboot/multiboot2.h
===================================================================
--- kernel/genarch/include/genarch/multiboot/multiboot2.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/multiboot/multiboot2.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/softint/division.h
===================================================================
--- kernel/genarch/include/genarch/softint/division.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/softint/division.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/softint/multiplication.h
===================================================================
--- kernel/genarch/include/genarch/softint/multiplication.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/softint/multiplication.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/include/genarch/srln/srln.h
===================================================================
--- kernel/genarch/include/genarch/srln/srln.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/include/genarch/srln/srln.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/acpi/acpi.c
===================================================================
--- kernel/genarch/src/acpi/acpi.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/acpi/acpi.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/acpi/madt.c
===================================================================
--- kernel/genarch/src/acpi/madt.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/acpi/madt.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/ddi/ddi-dummy.c
===================================================================
--- kernel/genarch/src/ddi/ddi-dummy.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/ddi/ddi-dummy.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/am335x/timer.c
===================================================================
--- kernel/genarch/src/drivers/am335x/timer.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/am335x/timer.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/bcm2835/mbox.c
===================================================================
--- kernel/genarch/src/drivers/bcm2835/mbox.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/bcm2835/mbox.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/dsrln/dsrlnin.c
===================================================================
--- kernel/genarch/src/drivers/dsrln/dsrlnin.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/dsrln/dsrlnin.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/dsrln/dsrlnout.c
===================================================================
--- kernel/genarch/src/drivers/dsrln/dsrlnout.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/dsrln/dsrlnout.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/ega/ega.c
===================================================================
--- kernel/genarch/src/drivers/ega/ega.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/ega/ega.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/i8042/i8042.c
===================================================================
--- kernel/genarch/src/drivers/i8042/i8042.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/i8042/i8042.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/ns16550/ns16550.c
===================================================================
--- kernel/genarch/src/drivers/ns16550/ns16550.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/ns16550/ns16550.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/omap/uart.c
===================================================================
--- kernel/genarch/src/drivers/omap/uart.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/omap/uart.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/pl011/pl011.c
===================================================================
--- kernel/genarch/src/drivers/pl011/pl011.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/pl011/pl011.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/pl050/pl050.c
===================================================================
--- kernel/genarch/src/drivers/pl050/pl050.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/pl050/pl050.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/s3c24xx/irqc.c
===================================================================
--- kernel/genarch/src/drivers/s3c24xx/irqc.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/s3c24xx/irqc.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/s3c24xx/uart.c
===================================================================
--- kernel/genarch/src/drivers/s3c24xx/uart.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/s3c24xx/uart.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/drivers/via-cuda/cuda.c
===================================================================
--- kernel/genarch/src/drivers/via-cuda/cuda.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/drivers/via-cuda/cuda.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/fb/bfb.c
===================================================================
--- kernel/genarch/src/fb/bfb.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/fb/bfb.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/fb/fb.c
===================================================================
--- kernel/genarch/src/fb/fb.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/fb/fb.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/fb/font-8x16.c
===================================================================
--- kernel/genarch/src/fb/font-8x16.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/fb/font-8x16.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/kbrd/kbrd.c
===================================================================
--- kernel/genarch/src/kbrd/kbrd.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/kbrd/kbrd.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/kbrd/kbrd_at.c
===================================================================
--- kernel/genarch/src/kbrd/kbrd_at.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/kbrd/kbrd_at.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/kbrd/scanc_at.c
===================================================================
--- kernel/genarch/src/kbrd/scanc_at.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/kbrd/scanc_at.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/kbrd/scanc_mac.c
===================================================================
--- kernel/genarch/src/kbrd/scanc_mac.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/kbrd/scanc_mac.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/kbrd/scanc_pc.c
===================================================================
--- kernel/genarch/src/kbrd/scanc_pc.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/kbrd/scanc_pc.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/kbrd/scanc_sun.c
===================================================================
--- kernel/genarch/src/kbrd/scanc_sun.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/kbrd/scanc_sun.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/mm/as_ht.c
===================================================================
--- kernel/genarch/src/mm/as_ht.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/mm/as_ht.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/src/mm/as_pt.c
===================================================================
--- kernel/genarch/src/mm/as_pt.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/mm/as_pt.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/src/mm/asid.c
===================================================================
--- kernel/genarch/src/mm/asid.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/mm/asid.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/src/mm/asid_fifo.c
===================================================================
--- kernel/genarch/src/mm/asid_fifo.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/mm/asid_fifo.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/src/mm/page_ht.c
===================================================================
--- kernel/genarch/src/mm/page_ht.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/mm/page_ht.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/src/mm/page_pt.c
===================================================================
--- kernel/genarch/src/mm/page_pt.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/mm/page_pt.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarchmm
+/** @addtogroup kernel_genarch_mm
  * @{
  */
Index: kernel/genarch/src/multiboot/common.c
===================================================================
--- kernel/genarch/src/multiboot/common.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/multiboot/common.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/multiboot/multiboot.c
===================================================================
--- kernel/genarch/src/multiboot/multiboot.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/multiboot/multiboot.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/multiboot/multiboot2.c
===================================================================
--- kernel/genarch/src/multiboot/multiboot2.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/multiboot/multiboot2.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/ofw/ebus.c
===================================================================
--- kernel/genarch/src/ofw/ebus.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/ofw/ebus.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/ofw/ofw_tree.c
===================================================================
--- kernel/genarch/src/ofw/ofw_tree.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/ofw/ofw_tree.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/ofw/pci.c
===================================================================
--- kernel/genarch/src/ofw/pci.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/ofw/pci.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/ofw/sbus.c
===================================================================
--- kernel/genarch/src/ofw/sbus.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/ofw/sbus.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/ofw/upa.c
===================================================================
--- kernel/genarch/src/ofw/upa.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/ofw/upa.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/softint/division.c
===================================================================
--- kernel/genarch/src/softint/division.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/softint/division.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/softint/multiplication.c
===================================================================
--- kernel/genarch/src/softint/multiplication.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/softint/multiplication.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: kernel/genarch/src/srln/srln.c
===================================================================
--- kernel/genarch/src/srln/srln.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ kernel/genarch/src/srln/srln.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup kernel_genarch
  * @{
  */
Index: uspace/drv/bus/adb/cuda_adb/cuda_adb.c
===================================================================
--- uspace/drv/bus/adb/cuda_adb/cuda_adb.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/bus/adb/cuda_adb/cuda_adb.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_cuda_adb
  * @{
  */
Index: uspace/drv/bus/adb/cuda_adb/cuda_adb.h
===================================================================
--- uspace/drv/bus/adb/cuda_adb/cuda_adb.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/bus/adb/cuda_adb/cuda_adb.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_cuda_adb
  * @{
  */
Index: uspace/drv/bus/adb/cuda_adb/cuda_hw.h
===================================================================
--- uspace/drv/bus/adb/cuda_adb/cuda_hw.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/bus/adb/cuda_adb/cuda_hw.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_cuda_adb
  * @{
  */
Index: uspace/drv/bus/adb/cuda_adb/doc/doxygroups.h
===================================================================
--- uspace/drv/bus/adb/cuda_adb/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ uspace/drv/bus/adb/cuda_adb/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -0,0 +1,4 @@
+/** @addtogroup uspace_drv_cuda_adb cuda_adb
+ * @brief VIA-CUDA Apple Desktop Bus driver
+ * @ingroup drvs
+ */
Index: uspace/drv/bus/adb/cuda_adb/main.c
===================================================================
--- uspace/drv/bus/adb/cuda_adb/main.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/bus/adb/cuda_adb/main.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_cuda_adb
  * @{
  */
Index: uspace/drv/char/msim-con/doc/doxygroups.h
===================================================================
--- uspace/drv/char/msim-con/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ uspace/drv/char/msim-con/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -0,0 +1,4 @@
+/** @addtogroup uspace_drv_msim_con msim-con
+ * @brief MSIM console driver
+ * @ingroup drvs
+ */
Index: uspace/drv/char/msim-con/main.c
===================================================================
--- uspace/drv/char/msim-con/main.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/char/msim-con/main.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_msim_con
  * @{
  */
Index: uspace/drv/char/msim-con/msim-con.h
===================================================================
--- uspace/drv/char/msim-con/msim-con.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/char/msim-con/msim-con.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_msim_con
  * @{
  */
Index: uspace/drv/char/ski-con/doc/doxygroups.h
===================================================================
--- uspace/drv/char/ski-con/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ uspace/drv/char/ski-con/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -0,0 +1,4 @@
+/** @addtogroup uspace_drv_ski_con ski-con
+ * @brief Ski console driver
+ * @ingroup drvs
+ */
Index: uspace/drv/char/ski-con/main.c
===================================================================
--- uspace/drv/char/ski-con/main.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/char/ski-con/main.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_ski_con
  * @{
  */
Index: uspace/drv/char/ski-con/ski-con.h
===================================================================
--- uspace/drv/char/ski-con/ski-con.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/char/ski-con/ski-con.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_ski_con
  * @{
  */
Index: uspace/drv/char/sun4v-con/doc/doxygroups.h
===================================================================
--- uspace/drv/char/sun4v-con/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ uspace/drv/char/sun4v-con/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -0,0 +1,4 @@
+/** @addtogroup uspace_drv_sun4v_con sun4v-con
+ * @brief sun4v console driver⏎
+ * @ingroup drvs
+ */
Index: uspace/drv/char/sun4v-con/main.c
===================================================================
--- uspace/drv/char/sun4v-con/main.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/char/sun4v-con/main.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,8 @@
  */
 
-/** @file Sun4v console driver
+/**
+ * @addtogroup uspace_drv_sun4v_con
+ * @file Sun4v console driver
+ * @{
  */
 
Index: uspace/drv/char/sun4v-con/sun4v-con.h
===================================================================
--- uspace/drv/char/sun4v-con/sun4v-con.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/char/sun4v-con/sun4v-con.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_sun4v_con
  * @{
  */
Index: uspace/drv/hid/adb-kbd/doc/doxygroups.h
===================================================================
--- uspace/drv/hid/adb-kbd/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ uspace/drv/hid/adb-kbd/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -0,0 +1,4 @@
+/** @addtogroup uspace_drv_adb_kbd adb-kbd
+ * @brief ADB keyboard port driver
+ * @ingroup drvs
+ */
Index: uspace/drv/hid/adb-kbd/main.c
===================================================================
--- uspace/drv/hid/adb-kbd/main.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/hid/adb-kbd/main.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_adb_kbd
  * @{
  */
Index: uspace/drv/hid/adb-mouse/doc/doxygroups.h
===================================================================
--- uspace/drv/hid/adb-mouse/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ uspace/drv/hid/adb-mouse/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -0,0 +1,4 @@
+/** @addtogroup uspace_drv_adb_mouse adb-mouse
+ * @brief ADB mouse driver
+ * @ingroup drvs
+ */
Index: uspace/drv/hid/adb-mouse/main.c
===================================================================
--- uspace/drv/hid/adb-mouse/main.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/hid/adb-mouse/main.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,8 +27,8 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_adb_mouse
  * @{
  */
-/** @file ADB keyboard driver
+/** @file ADB mouse driver
  */
 
Index: uspace/drv/intctl/apic/apic.c
===================================================================
--- uspace/drv/intctl/apic/apic.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/intctl/apic/apic.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup apic
+/** @addtogroup uspace_drv_apic
  * @{
  */
Index: uspace/drv/intctl/apic/apic.h
===================================================================
--- uspace/drv/intctl/apic/apic.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/intctl/apic/apic.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_apic
  * @{
  */
Index: uspace/drv/intctl/apic/doc/doxygroups.h
===================================================================
--- uspace/drv/intctl/apic/doc/doxygroups.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/intctl/apic/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -1,3 +1,3 @@
-/** @addtogroup apic apic
+/** @addtogroup uspace_drv_apic apic
  * @brief APIC interrupt controller driver
  * @ingroup drvs
Index: uspace/drv/intctl/apic/main.c
===================================================================
--- uspace/drv/intctl/apic/main.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/drv/intctl/apic/main.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_drv_apic
  * @{
  */
Index: uspace/lib/draw/gfx/cursor-11x18.c
===================================================================
--- uspace/lib/draw/gfx/cursor-11x18.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/lib/draw/gfx/cursor-11x18.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup draw
  * @{
  */
Index: uspace/lib/draw/gfx/cursor-11x18.h
===================================================================
--- uspace/lib/draw/gfx/cursor-11x18.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/lib/draw/gfx/cursor-11x18.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup draw
  * @{
  */
Index: uspace/lib/draw/gfx/font-8x16.c
===================================================================
--- uspace/lib/draw/gfx/font-8x16.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/lib/draw/gfx/font-8x16.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -28,5 +28,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup draw
  * @{
  */
Index: uspace/lib/draw/gfx/font-8x16.h
===================================================================
--- uspace/lib/draw/gfx/font-8x16.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/lib/draw/gfx/font-8x16.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup draw
  * @{
  */
Index: uspace/srv/hid/s3c24xx_ts/doc/doxygroups.h
===================================================================
--- uspace/srv/hid/s3c24xx_ts/doc/doxygroups.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/srv/hid/s3c24xx_ts/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -1,3 +1,3 @@
-/** @addtogroup s3c24xx_ts s3c24xx_ts
+/** @addtogroup uspace_srv_s3c24xx_ts s3c24xx_ts
  * @ingroup srvs
  * @brief Samsung S3C24xx on-chip ADC and touch-screen interface driver
Index: uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c
===================================================================
--- uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup s3c24xx_ts
+/** @addtogroup uspace_srv_s3c24xx_ts
  * @{
  */
Index: uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h
===================================================================
--- uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_srv_s3c24xx_ts
  * @{
  */
Index: uspace/srv/hw/char/s3c24xx_uart/doc/doxygroups.h
===================================================================
--- uspace/srv/hw/char/s3c24xx_uart/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ uspace/srv/hw/char/s3c24xx_uart/doc/doxygroups.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -0,0 +1,4 @@
+/** @addtogroup uspace_srv_s3c24xx_uart s3c24xx_uart
+ * @ingroup srvs
+ * @brief Samsung S3C24xx on-chip UART driver
+ */
Index: uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h
===================================================================
--- uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h	(revision 03bf4fcef2be31f72582c9de2360cf756d99970b)
+++ uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup genarch
+/** @addtogroup uspace_srv_s3c24xx_uart
  * @{
  */
